#! /usr/bin/env python

import pyfplo.wanniertools as wt


# ===================================================================

if __name__ == '__main__':


    wdc=wt.WanDefCreator(rcutoff=25,wftol=0.001,coeffformat='bin',
                         wfgriddirections=[[2,0,0],[0,2,0],[0,0,2]],
                         wfgridsubdiv=[1,1,1],savespininfo=True,
                         wfinrealspace=True,wfcoeffstats=True,hamtstats=True)

    emin=-5
    emax= 0
    delower=7
    deupper=7

    wdc.add(wt.MultipleOrbitalWandef('Fe',[1],['3db'],
                                  emin=emin,emax=emax,
                                  delower=delower,deupper=deupper))

    wdc.writeFile('=.wandef')

    

